Bug 575445 - Unable to use VNC over SSH
Summary: Unable to use VNC over SSH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vinagre
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-20 19:29 UTC by Tadej Janež
Modified: 2010-08-05 23:38 UTC (History)
7 users (show)

Fixed In Version: vinagre-2.30.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-05 23:38:01 UTC
Type: ---


Attachments (Terms of Use)

Description Tadej Janež 2010-03-20 19:29:24 UTC
Description of problem:
If I try to configure a VNC connection to use a SSH tunnel, vinagre crashes with the following error:
vinagre: symbol lookup error: /usr/lib/vinagre-1/plugins/libvnc.so: undefined symbol: vinagre_ssh_connect


Version-Release number of selected component (if applicable):
vinagre-2.29.92-1.fc13.i686

How reproducible:
Always

Comment 1 Paul W. Frields 2010-04-28 11:22:04 UTC
This bug continues to be a problem in vinagre-2.30.0-1.fc13.x86_64.

Comment 2 Paul W. Frields 2010-04-28 11:27:29 UTC
http://git.gnome.org/browse/vinagre/commit/?id=6b1c01f15e5a698fc5f7e8f62e230adab94618bb

The above commit upstream purports to fix the problem.

Comment 3 Paul W. Frields 2010-04-28 12:10:26 UTC
Tried the patch here, but it reveals another bug, which is that the SSH dialog in vinagre doesn't accept more than 8 characters. :-)  I think this snippet in vinagre/vinagre-utils.c takes care of it, but I'm not sure if I did this in a hacky way.

        /* Translators: %s is a protocol, like VNC or SSH */
        gchar *str = g_strdup_printf (_("%s authentication is required"), kind);
        GtkWidget *auth_label = GTK_WIDGET (gtk_builder_get_object (xml, "auth_required_label"));
+       GtkEntry *password_entry = GTK_WIDGET (gtk_builder_get_object (xml, "password_entry"));
        gtk_label_set_label (GTK_LABEL (auth_label), str);
+       if (kind == "SSH")
+	 gtk_entry_set_max_length (GTK_ENTRY (password_entry), 0);
        g_free (str);
     }

Comment 4 Fedora Update System 2010-07-21 11:38:18 UTC
vinagre-2.30.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/vinagre-2.30.2-1.fc13

Comment 5 Fedora Update System 2010-07-23 02:41:20 UTC
vinagre-2.30.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vinagre'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/vinagre-2.30.2-1.fc13

Comment 6 Fedora Update System 2010-08-05 23:37:56 UTC
vinagre-2.30.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.